%define		php_name	php%{?php_suffix}
%define		modname	geoip
%define		status		status
Summary:	%{modname} - Map IP address to geographic places
Summary(pl.UTF-8):	%{modname} - odwzorowanie adresów IP w miejsca geograficzne
Name:		%{php_name}-pecl-%{modname}
Version:	1.1.1
Release:	2
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	4f5f4b8a41a5802de6591c79b85cc838
Patch0:		find_libgeoip.patch
Patch1:         git.patch
URL:		http://pecl.php.net/package/geoip/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	GeoIP-devel >= 1.4.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Suggests:	GeoIP-db-City
Suggests:	GeoIP-db-Country
Suggests:	GeoIP-db-IPASNum
Provides:	php(geoip) = %{version}
Obsoletes:	php-pecl-geoip < 1.0.8-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This PHP extension allows you to find the location of an IP address -
City, State, Country, Longitude, Latitude, and other information as
all, such as ISP and connection type.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie pozwala na znalezienie miejsca, któremu odpowiada dany
adres IP - miasto, stan, kraj, szerokość i długość geograficzna czy
inne informacje, takie jak ISP czy typ połączenia.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p1
%patch1 -p1

sed -i -e 's,GEOIP_DIR/lib,GEOIP_DIR/%{_lib},g' config.m4

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Mar 02 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-geoip.git;a=log;h=auto/th/php-pecl-geoip-1.1.1-2

* Thu Mar 02 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> f1b2b07
- Rel 2; fix build with newer php

* Thu Mar 02 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e25d19
- Rediff patch

* Fri Apr 28 2017 Andrzej Zawadzki <zawadaa@pld-linux.org> 726d004
- up to 1.1.1
- build with newest PHP 7.1
- this is not stable but works with piwik.org for example

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 4e63d51
- obsolete old php name
- release 8 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 323a8a2
- php 5.5 rebuild
- release 7 (by relup.sh)

* Wed Jan 15 2014 Elan Ruusamäe <glen@delfi.ee> a664283
- fix missing = in deps

* Mon Nov 18 2013 Elan Ruusamäe <glen@delfi.ee> 27e3a0b
- include ext version into provide

* Mon Nov 18 2013 Elan Ruusamäe <glen@delfi.ee> c71aaef
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 4ebafef
- support building for multiple php versions

* Fri Aug 24 2012 Elan Ruusamäe <glen@delfi.ee> 68cebe8
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 110e6d5
- release 4 (by relup.sh)

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 00ebc62
- release 3

* Thu Dec 15 2011 Elan Ruusamäe <glen@pld-linux.org> 95f3eed
- suggest db packages we have available; rel 2

* Mon Nov 14 2011 Elan Ruusamäe <glen@pld-linux.org> 05d11bd
- BR GeoIP 1.4.0

* Mon Nov 14 2011 Elan Ruusamäe <glen@pld-linux.org> 5a37c5f
- do not find(1) /usr when searching for lib

* Mon Nov 14 2011 Elan Ruusamäe <glen@pld-linux.org> 94d4fff
- up to 1.0.8

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> dfdf046
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 18630a0
- release 2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 50458e9
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Sat Apr 11 2009 Adam Gołębiowski <adamg@pld-linux.org> 99cfd47
- updated to 1.0.7

